# td-ml-ps-stats-scan

## Introduction

This Python Library allows you to extract Parent Segment, Folder, Audiences info and store it in a table in TD for reporting purposes and mapping audiences to segments and metrics.


## Input Params

`config.yml`: The workflow `YAML` file contains the params that are required by this library to extract the neded information. See below:

- **apikey** = TD APIKEY  
- **tdserver** = TD ENDPOINT
- **sink_database** = Database where outout tables will be written
- **output_table** = name of output table
- **folder_depth** = how many nested folders in Audience Studio to look into for segments (default = `10`)
- **v5_flag** = `1` - scans PSs that are in V5 version, `0` - scans PSs in V4, and `1, 0` - scans PS is in both V4 and V5.
- **apply_ps_filters** = `yes` - applies filters below and only returns info on specific Parent Segments, Folders, or Segments and Journeys, `no` - returns all objects in Audience Studio
- **ps_to_include** = use ***REGEXP*** format such as `'name_1|name_2|ec.'` to only return info on Parent Segments that match the REGEXP. If you leave blank `''`, then it will return ALL information.
- **folders_to_include** = use ***REGEXP*** format such as `'name_1|name_2|etc.'` to only return info on Folder Names that match the REGEXP. If you leave blank `''`, then it will return ALL information.
- **segments_to_include** = use ***REGEXP*** format such as `'name_1|name_2|etc.'` to only return info on Audience Segment Names that match the REGEXP. If you leave blank `''`, then it will return ALL information.
- **journeys_to_include** = use ***REGEXP*** format such as `'name_1|name_2|etc.'` to only return info on Journey Names that match the REGEXP. If you leave blank `''`, then it will return ALL information.


`Copyright © 2022 Treasure Data, Inc. (or its affiliates). All rights reserved`


